epp_LogoutReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_LogoutReq class

### org.openrtk.idl.epprtk

# Class epp_LogoutReq

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_LogoutReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_LogoutReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to end a session with the EPP server. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_LogoutReq.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `EPPLogout`, `epp_LogoutRsp`

  ## Field Summary
  `String` | `m_client_trid` The client transaction identifier assigned by the client to the command.
  `epp_Extension[]` | `m_extensions` The optional command extensions.

  ## Constructor Summary
  `epp_LogoutReq()` Empty constructor
  `epp_LogoutReq(epp_Extension _m_extension, String _m_client_trid)` Deprecated.
  `epp_LogoutReq(epp_Extension[] _m_extensions, String _m_client_trid)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getClientTrid()` Accessor method for the client transaction identifier assigned by the client to the command
  `epp_Extension` | `getExtension()` Deprecated.
  `epp_Extension[]` | `getExtensions()` Accessor method for the optional command extensions
  `epp_Unspec` | `getUnspec()` Deprecated. Please use getExtension() intead.
  `void` | `setClientTrid(String value)` Accessor method for the client transaction identifier assigned by the client to the command
  `void` | `setExtension(epp_Extension value)` Deprecated.
  `void` | `setExtensions(epp_Extension[] value)` Accessor method for the optional command extensions
  `void` | `setUnspec(epp_Unspec value)` Deprecated. Please use setExtension() instead.
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_client_trid

    public String m_client_trid

> The client transaction identifier assigned by the client to the command.
> See Also:
>   `setClientTrid(String)`, `getClientTrid()`

### m_extensions

    public epp_Extension[] m_extensions

> The optional command extensions.
> See Also:
>   `setExtensions(epp_Extension[])`, `getExtensions()`

## Constructor Details

### epp_LogoutReq

    public epp_LogoutReq()

> Empty constructor

### epp_LogoutReq

    public epp_LogoutReq(epp_Extension _m_extension,
                         String _m_client_trid)

> Deprecated.

> The constructor with initializing variables.
> Parameters:
>   `_m_extension` - The optional command extensions
>   `_m_client_trid` - The client transaction identifier assigned by the client to the command

### epp_LogoutReq

    public epp_LogoutReq(epp_Extension[] _m_extensions,
                         String _m_client_trid)

> The constructor with initializing variables.
> Parameters:
>   `_m_extensions` - The optional command extensions
>   `_m_client_trid` - The client transaction identifier assigned by the client to the command

## Method Details

### getClientTrid

    public String getClientTrid()

> Accessor method for the client transaction identifier assigned by the client to the command
> Returns:
>   The client transaction identifier
> See Also:
>   `m_client_trid`

### getExtension

    public epp_Extension getExtension()

> Deprecated.

> Accessor method for the optional command extensions
> Returns:
>   The optional command extensions
> See Also:
>   `m_extensions`

### getExtensions

    public epp_Extension[] getExtensions()

> Accessor method for the optional command extensions
> Returns:
>   The optional command extensions
> See Also:
>   `m_extensions`

### getUnspec

    public epp_Unspec getUnspec()

> Deprecated. Please use getExtension() intead.

> Accessor method for the optional command extensions
> Returns:
>   The optional command extensions
> See Also:
>   `epp_LogoutReq`

### setClientTrid

    public void setClientTrid(String value)

> Accessor method for the client transaction identifier assigned by the client to the command
> Parameters:
>   `value` - The client transaction identifier
> See Also:
>   `m_client_trid`

### setExtension

    public void setExtension(epp_Extension value)

> Deprecated.

> Accessor method for the optional command extensions
> Parameters:
>   `value` - The optional command extensions
> See Also:
>   `m_extensions`

### setExtensions

    public void setExtensions(epp_Extension[] value)

> Accessor method for the optional command extensions
> Parameters:
>   `value` - The optional command extensions
> See Also:
>   `m_extensions`

### setUnspec

    public void setUnspec(epp_Unspec value)

> Deprecated. Please use setExtension() instead.

> Accessor method for the optional command extensions
> Parameters:
>   `value` - The optional command extensions
> See Also:
>   `epp_LogoutReq`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS